## GESDiscovererManager

    GObject
        ╰──GESDiscovererManager

Since : 1.24

### Class structure

#### GESDiscovererManagerClass

##### Fields

`parent_class` (GObjectClass) –
No description available

### GES.DiscovererManagerClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GES.DiscovererManagerClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GES.DiscovererManager

    GObject.Object
        ╰──GES.DiscovererManager

Since : 1.24

## GES.DiscovererManager

    GObject.Object
        ╰──GES.DiscovererManager

Since : 1.24

### Methods

#### ges_discoverer_manager_get_timeout

    GstClockTime
    ges_discoverer_manager_get_timeout (GESDiscovererManager * self)

Parameters:

`self` –

The GESDiscovererManager

Returns –

The timeout to use for the discoverer

Since : 1.24

#### GES.DiscovererManager.prototype.get_timeout

    function GES.DiscovererManager.prototype.get_timeout(): {
        // javascript wrapper for 'ges_discoverer_manager_get_timeout'
    }

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

Returns (Number) –

The timeout to use for the discoverer

Since : 1.24

#### GES.DiscovererManager.get_timeout

    def GES.DiscovererManager.get_timeout (self):
        #python wrapper for 'ges_discoverer_manager_get_timeout'

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

Returns (int) –

The timeout to use for the discoverer

Since : 1.24

#### ges_discoverer_manager_get_use_cache

    gboolean
    ges_discoverer_manager_get_use_cache (GESDiscovererManager * self)

Parameters:

`self` –

The GESDiscovererManager

Returns –

Whether to use the cache or not

Since : 1.24

#### GES.DiscovererManager.prototype.get_use_cache

    function GES.DiscovererManager.prototype.get_use_cache(): {
        // javascript wrapper for 'ges_discoverer_manager_get_use_cache'
    }

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

Returns (Number) –

Whether to use the cache or not

Since : 1.24

#### GES.DiscovererManager.get_use_cache

    def GES.DiscovererManager.get_use_cache (self):
        #python wrapper for 'ges_discoverer_manager_get_use_cache'

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

Returns (bool) –

Whether to use the cache or not

Since : 1.24

#### ges_discoverer_manager_set_timeout

    ges_discoverer_manager_set_timeout (GESDiscovererManager * self,
                                        GstClockTime timeout)

Sets the timeout to use for the discoverer

Parameters:

`self` –

The GESDiscovererManager

`timeout` –

The timeout to set

Since : 1.24

#### GES.DiscovererManager.prototype.set_timeout

    function GES.DiscovererManager.prototype.set_timeout(timeout: Number): {
        // javascript wrapper for 'ges_discoverer_manager_set_timeout'
    }

Sets the timeout to use for the discoverer

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

`timeout` (Number) –

The timeout to set

Since : 1.24

#### GES.DiscovererManager.set_timeout

    def GES.DiscovererManager.set_timeout (self, timeout):
        #python wrapper for 'ges_discoverer_manager_set_timeout'

Sets the timeout to use for the discoverer

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

`timeout` (int) –

The timeout to set

Since : 1.24

#### ges_discoverer_manager_set_use_cache

    ges_discoverer_manager_set_use_cache (GESDiscovererManager * self,
                                          gboolean use_cache)

Sets whether to use the cache or not

Parameters:

`self` –

The GESDiscovererManager

`use_cache` –

Whether to use the cache

Since : 1.24

#### GES.DiscovererManager.prototype.set_use_cache

    function GES.DiscovererManager.prototype.set_use_cache(use_cache: Number): {
        // javascript wrapper for 'ges_discoverer_manager_set_use_cache'
    }

Sets whether to use the cache or not

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

`use_cache` (Number) –

Whether to use the cache

Since : 1.24

#### GES.DiscovererManager.set_use_cache

    def GES.DiscovererManager.set_use_cache (self, use_cache):
        #python wrapper for 'ges_discoverer_manager_set_use_cache'

Sets whether to use the cache or not

Parameters:

`self` (GES.DiscovererManager) –

The GES.DiscovererManager

`use_cache` (bool) –

Whether to use the cache

Since : 1.24

### Functions

#### ges_discoverer_manager_get_default

    GESDiscovererManager *
    ges_discoverer_manager_get_default ()

Returns ( [transfer: full]) –

The default GESDiscovererManager

Since : 1.24

#### GES.DiscovererManager.prototype.get_default

    function GES.DiscovererManager.prototype.get_default(): {
        // javascript wrapper for 'ges_discoverer_manager_get_default'
    }

Returns (GES.DiscovererManager) –

The default GES.DiscovererManager

Since : 1.24

#### GES.DiscovererManager.get_default

    def GES.DiscovererManager.get_default ():
        #python wrapper for 'ges_discoverer_manager_get_default'

Returns (GES.DiscovererManager) –

The default GES.DiscovererManager

Since : 1.24

### Signals

#### load-serialized-info

    GstDiscovererInfo *
    load_serialized_info_callback (GESDiscovererManager * self,
                                   gchar* uri,
                                   gpointer user_data)

Retrieves information about a URI from and external source of information, like a cache file. This is used by the discoverer to speed up the discovery.

Parameters:

`self` –
No description available
`uri` –

The URI to load the serialized info for

`user_data` –
No description available
Returns ( [nullable][transfer: full]) –

The GstDiscovererInfo representing uri, or NULL if no information

Flags: Run Last

Since : 1.24

#### load-serialized-info

    function load_serialized_info_callback(self: GES.DiscovererManager, uri: String, user_data: Object): {
        // javascript callback for the 'load-serialized-info' signal
    }

Retrieves information about a URI from and external source of information, like a cache file. This is used by the discoverer to speed up the discovery.

Parameters:

`self` (GES.DiscovererManager) –
No description available
`uri` (String) –

The URI to load the serialized info for

`user_data` (Object) –
No description available
Returns (GstPbutils.DiscovererInfo) –

The GstPbutils.DiscovererInfo representing uri, or NULL if no information

Flags: Run Last

Since : 1.24

#### load-serialized-info

    def load_serialized_info_callback (self, uri, *user_data):
        #python callback for the 'load-serialized-info' signal

Retrieves information about a URI from and external source of information, like a cache file. This is used by the discoverer to speed up the discovery.

Parameters:

`self` (GES.DiscovererManager) –
No description available
`uri` (str) –

The URI to load the serialized info for

`user_data` (variadic) –
No description available
Returns (GstPbutils.DiscovererInfo) –

The GstPbutils.DiscovererInfo representing uri, or NULL if no information

Flags: Run Last

Since : 1.24

#### source-setup

    source_setup_callback (GESDiscovererManager * self,
                           GstElement * source,
                           gpointer user_data)

Allows to setup the source element before the discoverer runs.

Parameters:

`self` –
No description available
`source` –

The source GstElement to setup

`user_data` –
No description available

Flags: Run Last

Since : 1.24

#### source-setup

    function source_setup_callback(self: GES.DiscovererManager, source: Gst.Element, user_data: Object): {
        // javascript callback for the 'source-setup' signal
    }

Allows to setup the source element before the discoverer runs.

Parameters:

`self` (GES.DiscovererManager) –
No description available
`source` (Gst.Element) –

The source Gst.Element to setup

`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.24

#### source-setup

    def source_setup_callback (self, source, *user_data):
        #python callback for the 'source-setup' signal

Allows to setup the source element before the discoverer runs.

Parameters:

`self` (GES.DiscovererManager) –
No description available
`source` (Gst.Element) –

The source Gst.Element to setup

`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.24

### Properties

#### timeout

    “timeout” guint64

The timeout (in milliseconds) for the GstDiscoverer operations

Flags : Read / Write / Construct

Since : 1.24

#### timeout

    “timeout” Number

The timeout (in milliseconds) for the GstPbutils.Discoverer operations

Flags : Read / Write / Construct

Since : 1.24

#### timeout

    “self.props.timeout” int

The timeout (in milliseconds) for the GstPbutils.Discoverer operations

Flags : Read / Write / Construct

Since : 1.24

#### use-cache

    “use-cache” gboolean

Flags : Read / Write / Construct

#### use-cache

    “use-cache” Number

Flags : Read / Write / Construct

#### use_cache

    “self.props.use_cache” bool

Flags : Read / Write / Construct

## Constants

### GES_TYPE_DISCOVERER_MANAGER

    #define GES_TYPE_DISCOVERER_MANAGER ges_discoverer_manager_get_type ()

Since : 1.24

The results of the search are